### Method

# Soup Session get_tls_interaction

#### Declaration [src]

    GTlsInteraction*
    soup_session_get_tls_interaction (
      SoupSession* session
    )

#### Description [src]

Get the `GTlsInteraction` currently used by `session`.

Gets property | `Soup.Session:tls-interaction`

#### Return value

Type: `GTlsInteraction`

A `GTlsInteraction`.

The data is owned by the instance.
The return value can be `NULL`.